Subject: Texas translation
From: <[email-masked]>
To: <[email-masked]>
Date: Tue, 23 Oct 2007 09:47:18 EDT

Hi Mike I just finished the translation. I am attaching it here and I am  
sending a disk with the girls. Between Illinois and Texas is 2 hours. 
Have a great day! 
Doris

************************************** See what's new at http://www.aol.com